commit:     6b9ff912c8bc4db4d4cafe3d72e5803904391725
Author:     Tomas Mozes <tmozes <AT> sygic <DOT> com>
AuthorDate: Mon Oct 16 12:24:07 2017 +0000
Commit:     Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Tue Oct 17 07:24:30 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6b9ff912

app-emulation/xen-tools: fix building with gcc 7

Gentoo-Bug: 626008

Closes: https://github.com/gentoo/gentoo/pull/5962
Signed-off-by: Yixun Lan <dlan <AT> gentoo.org>

 app-emulation/xen-tools/xen-tools-4.8.2-r2.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/app-emulation/xen-tools/xen-tools-4.8.2-r2.ebuild 
b/app-emulation/xen-tools/xen-tools-4.8.2-r2.ebuild
index 7d6fde136d8..ed261704df2 100644
--- a/app-emulation/xen-tools/xen-tools-4.8.2-r2.ebuild
+++ b/app-emulation/xen-tools/xen-tools-4.8.2-r2.ebuild
@@ -256,6 +256,11 @@ src_prepare() {
 
        mv tools/qemu-xen/qemu-bridge-helper.c 
tools/qemu-xen/xen-bridge-helper.c || die
 
+       # Fix building with gcc 7, Bug #634338
+       # 
https://xenbits.xen.org/gitweb/?p=xen.git;a=commit;h=f49fa658b53580cf2ad354d2bf1796766cc11222
+       sed -e 's/name\[60\]/name\[100\]/g' \
+               -i tools/misc/xenlockprof.c || die
+
        # Fix texi2html build error with new texi2html, qemu.doc.html
        sed -i -e "/texi2html -monolithic/s/-number//" 
tools/qemu-xen-traditional/Makefile || die
 

Reply via email to